Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.om
Class NameTableImpl

    java.lang.Object
      com.jclark.xsl.om.NameTableImpl

All Implemented Interfaces:
  NameTable

Direct Known Subclasses:
  EngineImpl

public class NameTableImpl
extends java.lang.Object
implements NameTable

manages collections of Names and NamespacePrefixMaps

Constructor Summary
`NameTableImpl()` Empty constructor initializes prefix map

Method Summary
`Name` | `createName(java.lang.String nonQName)` create a name in the document's (null) namespace for a non-qualified name
`Name` | `createName(java.lang.String qName, java.lang.String namespace)` construct (or find) a Name for the given qName in the given Namespace
`NamespacePrefixMap` | `getEmptyNamespacePrefixMap()` obtain an empty NamespacePrefixMap

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameTableImpl

    public NameTableImpl()

  Empty constructor initializes prefix map

Method Detail

### createName

    public Name createName(java.lang.String qName,
                           java.lang.String namespace)

  construct (or find) a Name for the given qName in the given Namespace

  Specified by:
    `createName` in interface `NameTable`

### createName

    public Name createName(java.lang.String nonQName)

  create a name in the document's (null) namespace for a non-qualified name

  Specified by:
    `createName` in interface `NameTable`

### getEmptyNamespacePrefixMap

    public NamespacePrefixMap getEmptyNamespacePrefixMap()

  Description copied from interface: `NameTable`
  obtain an empty NamespacePrefixMap

  Specified by:
    `getEmptyNamespacePrefixMap` in interface `NameTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD